// _GestionParametresPromotion_Interface.java
// Created on 15 juil. 2010 by JavaClient Wizard 1.0
/*
 * Copyright Consortium Cocktail
 *
 * cocktail@univ-lr.fr
 *
 * Logiciel de gestion des ressources humaines des établissements.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".

 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.

 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */
package org.cocktail.mangue.client.administration.interfaces;
import org.cocktail.component.COFrame;

/**
 *
 * @author  christine
 */
public class _GestionParametresPromotion_Interface extends COFrame {

    /** Creates new form _GestionParametresPromotion_Interface */
    public _GestionParametresPromotion_Interface() {
        super();
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        displayGroup = new org.cocktail.component.CODisplayGroup();
        displayGroupCategories = new org.cocktail.component.CODisplayGroup();
        listeAffichage = new org.cocktail.component.COTable();
        popupType = new org.cocktail.component.COComboBox();
        vueBoutonsModification = new org.cocktail.component.COView();
        cOButton1 = new org.cocktail.component.COButton();
        cOButton2 = new org.cocktail.component.COButton();
        cOView1 = new org.cocktail.component.COView();
        cOView2 = new org.cocktail.component.COView();
        jLabel6 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        cOButton6 = new org.cocktail.component.COButton();
        cOButton7 = new org.cocktail.component.COButton();
        cOButton8 = new org.cocktail.component.COButton();
        cOButton9 = new org.cocktail.component.COButton();
        cOTextField4 = new org.cocktail.component.COTextField();
        cOTextField5 = new org.cocktail.component.COTextField();
        cOTextField10 = new org.cocktail.component.COTextField();
        cOTextField11 = new org.cocktail.component.COTextField();
        jLabel26 = new javax.swing.JLabel();
        cOTextField22 = new org.cocktail.component.COTextField();
        jLabel28 = new javax.swing.JLabel();
        cOTextField24 = new org.cocktail.component.COTextField();
        cOView3 = new org.cocktail.component.COView();
        jLabel5 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        cOButton13 = new org.cocktail.component.COButton();
        cOButton14 = new org.cocktail.component.COButton();
        cOButton15 = new org.cocktail.component.COButton();
        cOButton16 = new org.cocktail.component.COButton();
        cOButton17 = new org.cocktail.component.COButton();
        cOButton18 = new org.cocktail.component.COButton();
        cOTextField7 = new org.cocktail.component.COTextField();
        cOTextField8 = new org.cocktail.component.COTextField();
        cOTextField9 = new org.cocktail.component.COTextField();
        cOTextField12 = new org.cocktail.component.COTextField();
        cOTextField13 = new org.cocktail.component.COTextField();
        jLabel29 = new javax.swing.JLabel();
        cOTextField21 = new org.cocktail.component.COTextField();
        jLabel30 = new javax.swing.JLabel();
        cOTextField25 = new org.cocktail.component.COTextField();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        jLabel11 = new javax.swing.JLabel();
        jLabel12 = new javax.swing.JLabel();
        jLabel13 = new javax.swing.JLabel();
        jLabel14 = new javax.swing.JLabel();
        jLabel15 = new javax.swing.JLabel();
        jLabel17 = new javax.swing.JLabel();
        jLabel18 = new javax.swing.JLabel();
        jLabel19 = new javax.swing.JLabel();
        jLabel20 = new javax.swing.JLabel();
        jLabel21 = new javax.swing.JLabel();
        jLabel22 = new javax.swing.JLabel();
        jLabel23 = new javax.swing.JLabel();
        jLabel24 = new javax.swing.JLabel();
        jLabel25 = new javax.swing.JLabel();
        vueTexte = new org.cocktail.component.COTextArea();
        cOButton3 = new org.cocktail.component.COButton();
        cOComboBox3 = new org.cocktail.component.COComboBox();
        cOComboBox2 = new org.cocktail.component.COComboBox();
        cOButton20 = new org.cocktail.component.COButton();
        cOButton19 = new org.cocktail.component.COButton();
        cOTextField2 = new org.cocktail.component.COTextField();
        cOTextField3 = new org.cocktail.component.COTextField();
        cOTextField6 = new org.cocktail.component.COTextField();
        cOTextField14 = new org.cocktail.component.COTextField();
        cOTextField15 = new org.cocktail.component.COTextField();
        cOTextField16 = new org.cocktail.component.COTextField();
        cOTextField17 = new org.cocktail.component.COTextField();
        cOTextField18 = new org.cocktail.component.COTextField();
        cOTextField19 = new org.cocktail.component.COTextField();
        cOTextField20 = new org.cocktail.component.COTextField();
        vueBoutonsValidation = new org.cocktail.component.COView();
        cOButton4 = new org.cocktail.component.COButton();
        cOButton5 = new org.cocktail.component.COButton();
        cOLabel1 = new org.cocktail.component.COLabel();
        cOTextField23 = new org.cocktail.component.COTextField();
        jLabel27 = new javax.swing.JLabel();
        jLabel31 = new javax.swing.JLabel();
        cOTextField26 = new org.cocktail.component.COTextField();
        jLabel32 = new javax.swing.JLabel();
        jLabel33 = new javax.swing.JLabel();
        cOButton11 = new org.cocktail.component.COButton();
        cOButton12 = new org.cocktail.component.COButton();
        cOButton10 = new org.cocktail.component.COButton();

        displayGroup.setEntityName("ParamPromotion");
        displayGroup.setHasDelegate(true);
        displayGroup.setIsMainDisplayGroupForController(true);

        displayGroupCategories.setEntityName("Categorie");
        displayGroupCategories.setHasDelegate(true);

        setControllerClassName("org.cocktail.mangue.client.administration.GestionParametresPromotion");
        setSize(new java.awt.Dimension(736, 518));

        listeAffichage.setColumns(new Object[][] {{null,"parpCode",new Integer(2),"Code",new Integer(0),new Integer(178),new Integer(1000),new Integer(50)},{null,"gradeArrivee.llGrade",new Integer(2),"Grade Arrivée",new Integer(0),new Integer(277),new Integer(1000),new Integer(50)},{null,"gradeDepart.llGrade",new Integer(2),"Grade Départ",new Integer(0),new Integer(277),new Integer(1000),new Integer(50)},{null,"corpsDepart.lcCorps",new Integer(2),"Corps Départ",new Integer(0),new Integer(115),new Integer(1000),new Integer(50)},{null,"cEchelon",new Integer(0),"Echelon",new Integer(0),new Integer(50),new Integer(1000),new Integer(50)},{null,"cCategorieServPublics",new Integer(0),"Cat. Svc Public",new Integer(0),new Integer(85),new Integer(1000),new Integer(50)},{null,"cCategorieServEffectifs",new Integer(0),"Cat. Svc Eff.",new Integer(0),new Integer(85),new Integer(1000),new Integer(50)},{"%d/%m/%Y","parpDOuverture",new Integer(0),"Début",new Integer(0),new Integer(75),new Integer(1000),new Integer(10)},{"%d/%m/%Y","parpDFermeture",new Integer(0),"Fin",new Integer(0),new Integer(75),new Integer(1000),new Integer(10)}});
        listeAffichage.setDisplayGroupForTable(displayGroup);

        popupType.setTitleForSelection("typePromotion");
        popupType.setTitles("Liste d'Aptitude,Tableau d'Avancement,Examen Professionnel,Enseignant-Chercheur");

        org.jdesktop.layout.GroupLayout vueBoutonsModificationLayout = new org.jdesktop.layout.GroupLayout(vueBoutonsModification);
        vueBoutonsModification.setLayout(vueBoutonsModificationLayout);
        vueBoutonsModificationLayout.setHorizontalGroup(
            vueBoutonsModificationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 16, Short.MAX_VALUE)
        );
        vueBoutonsModificationLayout.setVerticalGroup(
            vueBoutonsModificationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 71, Short.MAX_VALUE)
        );

        cOButton1.setActionName("exporterParametres");
        cOButton1.setEnabledMethod("modeSaisiePossible");
        cOButton1.setIconName("disquette.gif");

        cOButton2.setActionName("afficherAide");
        cOButton2.setBorderPainted(false);
        cOButton2.setEnabledMethod("modeSaisiePossible");
        cOButton2.setIconName("help.gif");

        cOView1.setIsBox(true);

        cOView2.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOView2.setIsBox(true);
        cOView2.setTitle("Arrivée");

        jLabel6.setFont(new java.awt.Font("Helvetica", 1, 11));
        jLabel6.setText("Grade");

        jLabel4.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel4.setText("Corps");

        cOButton6.setActionName("afficherCorpsArrivee");
        cOButton6.setBorderPainted(false);
        cOButton6.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        cOButton6.setEnabledMethod("peutAfficherCorpsOuGrade");
        cOButton6.setIconName("loupe16.gif");

        cOButton7.setActionName("supprimerCorpsArrivee");
        cOButton7.setBorderPainted(false);
        cOButton7.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        cOButton7.setEnabledMethod("peutSupprimerCorpsArrivee");
        cOButton7.setIconName("supprimer16.gif");

        cOButton8.setActionName("supprimerGradeArrivee");
        cOButton8.setBorderPainted(false);
        cOButton8.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        cOButton8.setEnabledMethod("peutSupprimerGradeArrivee");
        cOButton8.setIconName("supprimer16.gif");

        cOButton9.setActionName("afficherGradeArrivee");
        cOButton9.setBorderPainted(false);
        cOButton9.setEnabledMethod("peutAfficherCorpsOuGrade");
        cOButton9.setIconName("loupe16.gif");

        cOTextField4.setDisplayGroupForValue(displayGroup);
        cOTextField4.setEnabledMethod("nonModifiable");
        cOTextField4.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField4.setSupportsBackgroundColor(true);
        cOTextField4.setValueName("corpsArrivee.cCorps");

        cOTextField5.setDisplayGroupForValue(displayGroup);
        cOTextField5.setEnabledMethod("nonModifiable");
        cOTextField5.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField5.setSupportsBackgroundColor(true);
        cOTextField5.setValueName("corpsArrivee.lcCorps");

        cOTextField10.setDisplayGroupForValue(displayGroup);
        cOTextField10.setEnabledMethod("nonModifiable");
        cOTextField10.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField10.setSupportsBackgroundColor(true);
        cOTextField10.setValueName("gradeArrivee.cGrade");

        cOTextField11.setDisplayGroupForValue(displayGroup);
        cOTextField11.setEnabledMethod("nonModifiable");
        cOTextField11.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField11.setSupportsBackgroundColor(true);
        cOTextField11.setValueName("gradeArrivee.llGrade");

        jLabel26.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel26.setText("Echelon");

        cOTextField22.setDisplayGroupForValue(displayGroup);
        cOTextField22.setEnabledMethod("peutAfficherCorpsOuGrade");
        cOTextField22.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField22.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField22.setSupportsBackgroundColor(true);
        cOTextField22.setValueName("cEchelonArrivee");

        jLabel28.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel28.setText("Chevron");

        cOTextField24.setDisplayGroupForValue(displayGroup);
        cOTextField24.setEnabledMethod("peutSaisirChevronArrivee");
        cOTextField24.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField24.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField24.setSupportsBackgroundColor(true);
        cOTextField24.setValueName("cChevronArrivee");

        org.jdesktop.layout.GroupLayout cOView2Layout = new org.jdesktop.layout.GroupLayout(cOView2);
        cOView2.setLayout(cOView2Layout);
        cOView2Layout.setHorizontalGroup(
            cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView2Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(cOView2Layout.createSequentialGroup()
                        .add(jLabel6)
                        .add(8, 8, 8)
                        .add(cOTextField10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 45, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(cOView2Layout.createSequentialGroup()
                        .add(jLabel4)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOTextField4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 45, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOView2Layout.createSequentialGroup()
                        .add(cOTextField5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 151, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOButton6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOButton7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(8, 8, 8)
                        .add(jLabel26)
                        .add(8, 8, 8)
                        .add(cOTextField22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel28)
                        .add(8, 8, 8)
                        .add(cOTextField24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(cOView2Layout.createSequentialGroup()
                        .add(cOTextField11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 374, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(7, 7, 7)
                        .add(cOButton9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOButton8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(32, Short.MAX_VALUE))
        );
        cOView2Layout.setVerticalGroup(
            cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView2Layout.createSequentialGroup()
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOTextField4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel4)
                    .add(cOTextField5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel26)
                    .add(cOTextField22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel28)
                    .add(cOTextField24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOTextField10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel6)
                    .add(cOTextField11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        cOView3.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOView3.setIsBox(true);
        cOView3.setTitle("Origine");

        jLabel5.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel5.setText("Corps");

        jLabel7.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel7.setText("Grade");

        jLabel8.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel8.setText("Population");

        cOButton13.setActionName("supprimerCorpsDepart");
        cOButton13.setBorderPainted(false);
        cOButton13.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        cOButton13.setEnabledMethod("peutSupprimerCorpsDepart");
        cOButton13.setIconName("supprimer16.gif");

        cOButton14.setActionName("afficherCorpsDepart");
        cOButton14.setBorderPainted(false);
        cOButton14.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        cOButton14.setEnabledMethod("peutAfficherCorpsOuGrade");
        cOButton14.setIconName("loupe16.gif");

        cOButton15.setActionName("supprimerGradeDepart");
        cOButton15.setBorderPainted(false);
        cOButton15.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        cOButton15.setEnabledMethod("peutSupprimerGradeDepart");
        cOButton15.setIconName("supprimer16.gif");

        cOButton16.setActionName("afficherGradeDepart");
        cOButton16.setBorderPainted(false);
        cOButton16.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        cOButton16.setEnabledMethod("peutAfficherCorpsOuGrade");
        cOButton16.setIconName("loupe16.gif");

        cOButton17.setActionName("supprimerPopulationDepart");
        cOButton17.setBorderPainted(false);
        cOButton17.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        cOButton17.setEnabledMethod("peutSupprimerPopulationDepart");
        cOButton17.setIconName("supprimer16.gif");

        cOButton18.setActionName("afficherPopulationDepart");
        cOButton18.setBorderPainted(false);
        cOButton18.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        cOButton18.setEnabledMethod("peutAfficherCorpsOuGrade");
        cOButton18.setIconName("loupe16.gif");

        cOTextField7.setDisplayGroupForValue(displayGroup);
        cOTextField7.setEnabledMethod("nonModifiable");
        cOTextField7.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField7.setSupportsBackgroundColor(true);
        cOTextField7.setValueName("corpsDepart.lcCorps");

        cOTextField8.setDisplayGroupForValue(displayGroup);
        cOTextField8.setEnabledMethod("nonModifiable");
        cOTextField8.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField8.setSupportsBackgroundColor(true);
        cOTextField8.setValueName("corpsDepart.cCorps");

        cOTextField9.setDisplayGroupForValue(displayGroup);
        cOTextField9.setEnabledMethod("nonModifiable");
        cOTextField9.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField9.setSupportsBackgroundColor(true);
        cOTextField9.setValueName("typePopulationDepart.libelleCourt");

        cOTextField12.setDisplayGroupForValue(displayGroup);
        cOTextField12.setEnabledMethod("nonModifiable");
        cOTextField12.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField12.setSupportsBackgroundColor(true);
        cOTextField12.setValueName("gradeDepart.cGrade");

        cOTextField13.setDisplayGroupForValue(displayGroup);
        cOTextField13.setEnabledMethod("nonModifiable");
        cOTextField13.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField13.setSupportsBackgroundColor(true);
        cOTextField13.setValueName("gradeDepart.llGrade");

        jLabel29.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel29.setText("Echelon");

        cOTextField21.setDisplayGroupForValue(displayGroup);
        cOTextField21.setEnabledMethod("peutChoisirEchelon");
        cOTextField21.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField21.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField21.setSupportsBackgroundColor(true);
        cOTextField21.setValueName("cEchelon");

        jLabel30.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel30.setText("Chevron");

        cOTextField25.setDisplayGroupForValue(displayGroup);
        cOTextField25.setEnabledMethod("peutSaisirChevronDepart");
        cOTextField25.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField25.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField25.setSupportsBackgroundColor(true);
        cOTextField25.setValueName("cChevronDepart");

        org.jdesktop.layout.GroupLayout cOView3Layout = new org.jdesktop.layout.GroupLayout(cOView3);
        cOView3.setLayout(cOView3Layout);
        cOView3Layout.setHorizontalGroup(
            cOView3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView3Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jLabel7)
                    .add(jLabel8))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOView3Layout.createSequentialGroup()
                        .add(cOTextField9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 113, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(3, 3, 3)
                        .add(cOButton18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOButton17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(14, 14, 14)
                        .add(jLabel5)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(cOTextField8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 45, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOTextField7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 155, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOButton14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(6, 6, 6)
                        .add(cOButton13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(cOView3Layout.createSequentialGroup()
                        .add(cOTextField12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 45, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOTextField13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 309, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOButton16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOButton15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel29)
                        .add(4, 4, 4)
                        .add(cOTextField21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jLabel30)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOTextField25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(14, 14, 14))
        );
        cOView3Layout.setVerticalGroup(
            cOView3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView3Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOTextField9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOTextField8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOTextField7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel8)
                    .add(jLabel5))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOTextField13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOTextField12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel7)
                    .add(cOButton16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel29)
                    .add(jLabel30)
                    .add(cOTextField25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOTextField21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(12, 12, 12))
        );

        jLabel1.setFont(new java.awt.Font("Helvetica", 1, 11));
        jLabel1.setText("Code ");

        jLabel2.setFont(new java.awt.Font("Helvetica", 1, 11));
        jLabel2.setText("Début validité ");

        jLabel3.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel3.setText("Fin validité");

        jLabel9.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel9.setText("Ancienneté Corps");

        jLabel10.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel10.setText("Ancienneté Svc Public");

        jLabel11.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel11.setText("Population");

        jLabel12.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel12.setText("Ancienneté Ech.");

        jLabel13.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel13.setText("an(s)");

        jLabel14.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel14.setText("an(s)");

        jLabel15.setFont(new java.awt.Font("Helvetica", 0, 11)); // NOI18N
        jLabel15.setText("Ancienneté Catég.");

        jLabel17.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel17.setText("Catég.Svc Public");

        jLabel18.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel18.setText("an(s)");

        jLabel19.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel19.setText("Ancienneté Grade");

        jLabel20.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel20.setText("an(s)");

        jLabel21.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel21.setText("Catégorie Svc Effectifs");

        jLabel22.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel22.setText("an(s)");

        jLabel23.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel23.setText("Ancienneté Svc Effectifs");

        jLabel24.setFont(new java.awt.Font("Helvetica", 0, 11)); // NOI18N
        jLabel24.setText("an(s)");

        jLabel25.setFont(new java.awt.Font("Helvetica", 0, 11)); // NOI18N
        jLabel25.setText("Réf. réglementaire");

        vueTexte.setDisplayGroupForValue(displayGroup);
        vueTexte.setEnabledMethod("modificationEnCours");
        vueTexte.setShouldRefreshImmediately(true);
        vueTexte.setSupportsBackgroundColor(true);
        vueTexte.setValueName("parpRefReglementaire");

        cOButton3.setActionName("afficherAideCategorie");
        cOButton3.setBorderPainted(false);
        cOButton3.setEnabledMethod("modificationEnCours");
        cOButton3.setIconName("help.gif");

        cOComboBox3.setAttributeForSelection("cCategorieServPublics");
        cOComboBox3.setDisplayGroupForSelection(displayGroup);
        cOComboBox3.setDisplayGroupForTitle(displayGroupCategories);
        cOComboBox3.setEnabledMethod("peutAfficherCorpsOuGrade");
        cOComboBox3.setTitleAttribute("code");

        cOComboBox2.setAttributeForSelection("cCategorieServEffectifs");
        cOComboBox2.setDisplayGroupForSelection(displayGroup);
        cOComboBox2.setDisplayGroupForTitle(displayGroupCategories);
        cOComboBox2.setEnabledMethod("peutAfficherCorpsOuGrade");
        cOComboBox2.setTitleAttribute("code");

        cOButton20.setActionName("afficherPopulation");
        cOButton20.setBorderPainted(false);
        cOButton20.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        cOButton20.setEnabledMethod("peutAfficherCorpsOuGrade");
        cOButton20.setIconName("loupe16.gif");

        cOButton19.setActionName("supprimerPopulation");
        cOButton19.setBorderPainted(false);
        cOButton19.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        cOButton19.setEnabledMethod("peutSupprimerPopulation");
        cOButton19.setIconName("supprimer16.gif");

        cOTextField2.setDisplayGroupForValue(displayGroup);
        cOTextField2.setEnabledMethod("modificationEnCours");
        cOTextField2.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField2.setSupportsBackgroundColor(true);
        cOTextField2.setValueName("parpCode");

        cOTextField3.setDisplayGroupForValue(displayGroup);
        cOTextField3.setEnabledMethod("modificationEnCours");
        cOTextField3.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField3.setSupportsBackgroundColor(true);
        cOTextField3.setValueName("dateOuvertureFormatee");

        cOTextField6.setDisplayGroupForValue(displayGroup);
        cOTextField6.setEnabledMethod("modificationEnCours");
        cOTextField6.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField6.setSupportsBackgroundColor(true);
        cOTextField6.setValueName("dateFermetureFormatee");

        cOTextField14.setDisplayGroupForValue(displayGroup);
        cOTextField14.setEnabledMethod("peutSaisirDureeCorps");
        cOTextField14.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField14.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField14.setNumberFieldFormat("0");
        cOTextField14.setSupportsBackgroundColor(true);
        cOTextField14.setValueName("parpDureeCorps");

        cOTextField15.setDisplayGroupForValue(displayGroup);
        cOTextField15.setEnabledMethod("peutAfficherCorpsOuGrade");
        cOTextField15.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField15.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField15.setNumberFieldFormat("0");
        cOTextField15.setSupportsBackgroundColor(true);
        cOTextField15.setValueName("parpDureeServPublics");

        cOTextField16.setDisplayGroupForValue(displayGroup);
        cOTextField16.setEnabledMethod("peutAfficherCorpsOuGrade");
        cOTextField16.setFont(new java.awt.Font("Helvetica", 0, 11)); // NOI18N
        cOTextField16.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField16.setNumberFieldFormat("0");
        cOTextField16.setSupportsBackgroundColor(true);
        cOTextField16.setValueName("parpDureeServEffectifs");

        cOTextField17.setDisplayGroupForValue(displayGroup);
        cOTextField17.setEnabledMethod("nonModifiable");
        cOTextField17.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField17.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField17.setSupportsBackgroundColor(true);
        cOTextField17.setValueName("typePopulationServPublics.code");

        cOTextField18.setDisplayGroupForValue(displayGroup);
        cOTextField18.setEnabledMethod("peutSaisirDureeGrade");
        cOTextField18.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField18.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField18.setNumberFieldFormat("0");
        cOTextField18.setSupportsBackgroundColor(true);
        cOTextField18.setValueName("parpDureeGrade");

        cOTextField19.setDisplayGroupForValue(displayGroup);
        cOTextField19.setEnabledMethod("peutSaisirDureeCategSvcPublic");
        cOTextField19.setFont(new java.awt.Font("Helvetica", 0, 11)); // NOI18N
        cOTextField19.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField19.setNumberFieldFormat("0");
        cOTextField19.setSupportsBackgroundColor(true);
        cOTextField19.setValueName("parpDureeCategServPublics");

        cOTextField20.setDisplayGroupForValue(displayGroup);
        cOTextField20.setEnabledMethod("peutSaisirDureeEchelon");
        cOTextField20.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField20.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField20.setNumberFieldFormat("0");
        cOTextField20.setSupportsBackgroundColor(true);
        cOTextField20.setValueName("parpDureeEchelon");

        cOButton4.setActionName("annuler");
        cOButton4.setBorderPainted(false);
        cOButton4.setEnabledMethod("modificationEnCours");
        cOButton4.setIconName("annuler16.gif");

        cOButton5.setActionName("valider");
        cOButton5.setBorderPainted(false);
        cOButton5.setEnabledMethod("peutValider");
        cOButton5.setIconName("valider16.gif");

        org.jdesktop.layout.GroupLayout vueBoutonsValidationLayout = new org.jdesktop.layout.GroupLayout(vueBoutonsValidation);
        vueBoutonsValidation.setLayout(vueBoutonsValidationLayout);
        vueBoutonsValidationLayout.setHorizontalGroup(
            vueBoutonsValidationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueBoutonsValidationLayout.createSequentialGroup()
                .addContainerGap()
                .add(cOButton4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOButton5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        vueBoutonsValidationLayout.setVerticalGroup(
            vueBoutonsValidationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueBoutonsValidationLayout.createSequentialGroup()
                .add(7, 7, 7)
                .add(vueBoutonsValidationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOButton4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(6, 6, 6))
        );

        cOLabel1.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOLabel1.setSelectable(false);
        cOLabel1.setValueName("lgReference");

        cOTextField23.setDisplayGroupForValue(displayGroup);
        cOTextField23.setEnabledMethod("peutSaisirDureeGrade");
        cOTextField23.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField23.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField23.setNumberFieldFormat("0");
        cOTextField23.setSupportsBackgroundColor(true);
        cOTextField23.setValueName("parpDureeMoisGrade");

        jLabel27.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel27.setText("mois");

        jLabel31.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel31.setText("Ancienneté Max");

        cOTextField26.setDisplayGroupForValue(displayGroup);
        cOTextField26.setEnabledMethod("peutSaisirDureeMaxEchelon");
        cOTextField26.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField26.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField26.setNumberFieldFormat("0");
        cOTextField26.setSupportsBackgroundColor(true);
        cOTextField26.setValueName("parpDureeMaxAncienneteCons");

        jLabel32.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel32.setText("an(s)");

        jLabel33.setFont(new java.awt.Font("Helvetica", 0, 11)); // NOI18N
        jLabel33.setText("pour conservation ancienneté");

        org.jdesktop.layout.GroupLayout cOView1Layout = new org.jdesktop.layout.GroupLayout(cOView1);
        cOView1.setLayout(cOView1Layout);
        cOView1Layout.setHorizontalGroup(
            cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView1Layout.createSequentialGroup()
                .add(38, 38, 38)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOView2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOView1Layout.createSequentialGroup()
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(jLabel25)
                            .add(jLabel11)
                            .add(jLabel10)
                            .add(jLabel9))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(cOView1Layout.createSequentialGroup()
                                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                    .add(cOTextField15, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 22, Short.MAX_VALUE)
                                    .add(cOTextField14, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 22, Short.MAX_VALUE)
                                    .add(cOTextField17, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 22, Short.MAX_VALUE))
                                .add(2, 2, 2)
                                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(cOView1Layout.createSequentialGroup()
                                        .add(cOButton20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(cOButton19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                        .add(jLabel21))
                                    .add(cOView1Layout.createSequentialGroup()
                                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                            .add(org.jdesktop.layout.GroupLayout.LEADING, cOView1Layout.createSequentialGroup()
                                                .add(jLabel14)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                                .add(jLabel17))
                                            .add(org.jdesktop.layout.GroupLayout.LEADING, cOView1Layout.createSequentialGroup()
                                                .add(jLabel13)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                                .add(jLabel19)
                                                .add(4, 4, 4)
                                                .add(cOTextField18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                            .add(cOView1Layout.createSequentialGroup()
                                                .add(2, 2, 2)
                                                .add(jLabel18)
                                                .add(4, 4, 4)
                                                .add(cOTextField23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .add(2, 2, 2)
                                                .add(jLabel27))
                                            .add(cOView1Layout.createSequentialGroup()
                                                .add(5, 5, 5)
                                                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                                    .add(cOView1Layout.createSequentialGroup()
                                                        .add(cOComboBox2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 58, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                                        .add(jLabel23))
                                                    .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                                        .add(jLabel12)
                                                        .add(cOView1Layout.createSequentialGroup()
                                                            .add(cOComboBox3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 58, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                            .add(6, 6, 6)
                                                            .add(cOButton3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                                            .add(jLabel15))))))))
                                .add(2, 2, 2)
                                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                    .add(cOView1Layout.createSequentialGroup()
                                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                            .add(cOTextField20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                            .add(cOTextField19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                        .add(2, 2, 2)
                                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                            .add(jLabel20)
                                            .add(jLabel24)))
                                    .add(cOView1Layout.createSequentialGroup()
                                        .add(cOTextField16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .add(2, 2, 2)
                                        .add(jLabel22))))
                            .add(vueTexte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 419, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(cOView1Layout.createSequentialGroup()
                                .add(2, 2, 2)
                                .add(cOLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 61, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(vueBoutonsValidation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView1Layout.createSequentialGroup()
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                    .add(jLabel33)
                                    .add(cOView1Layout.createSequentialGroup()
                                        .add(jLabel31)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(cOTextField26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .add(2, 2, 2)
                                        .add(jLabel32))))))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView1Layout.createSequentialGroup()
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, cOView3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 669, Short.MAX_VALUE)
                            .add(cOView1Layout.createSequentialGroup()
                                .add(jLabel1)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 297, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(26, 26, 26)
                                .add(jLabel2)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOTextField3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 64, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 47, Short.MAX_VALUE)
                                .add(jLabel3)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOTextField6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 64, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .add(23, 23, 23))))
        );
        cOView1Layout.setVerticalGroup(
            cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView1Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel1)
                    .add(jLabel2)
                    .add(cOTextField3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOTextField6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel3))
                .add(2, 2, 2)
                .add(cOView2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 87, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel9)
                    .add(cOTextField14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel13)
                    .add(cOTextField18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOTextField23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel27)
                    .add(jLabel18)
                    .add(jLabel19)
                    .add(jLabel12)
                    .add(cOTextField20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel20)
                    .add(cOTextField26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel32)
                    .add(jLabel31))
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOView1Layout.createSequentialGroup()
                        .add(10, 10, 10)
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel10)
                            .add(cOTextField15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel14)
                            .add(cOButton3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel17)
                            .add(cOComboBox3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOTextField19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel24)
                            .add(jLabel15))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel11)
                            .add(cOTextField17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOButton20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOButton19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel21)
                            .add(cOComboBox2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOTextField16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel22)
                            .add(jLabel23)))
                    .add(cOView1Layout.createSequentialGroup()
                        .add(0, 0, 0)
                        .add(jLabel33)))
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOView1Layout.createSequentialGroup()
                        .add(4, 4, 4)
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(cOLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOView1Layout.createSequentialGroup()
                                .add(jLabel25)
                                .add(30, 30, 30))
                            .add(org.jdesktop.layout.GroupLayout.LEADING, vueTexte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 37, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView1Layout.createSequentialGroup()
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(vueBoutonsValidation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 28, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
        );

        cOButton11.setActionName("modifier");
        cOButton11.setBorderPainted(false);
        cOButton11.setEnabledMethod("boutonModificationAutorise");
        cOButton11.setIconName("modifier16.gif");

        cOButton12.setActionName("supprimer");
        cOButton12.setBorderPainted(false);
        cOButton12.setEnabledMethod("boutonModificationAutorise");
        cOButton12.setIconName("supprimer16.gif");

        cOButton10.setActionName("ajouter");
        cOButton10.setBorderPainted(false);
        cOButton10.setEnabledMethod("modeSaisiePossible");
        cOButton10.setIconName("ajouter16.gif");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(cOButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(255, 255, 255)
                        .add(popupType, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 174, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, cOView1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(listeAffichage, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 734, Short.MAX_VALUE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(cOButton1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 30, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOButton10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOButton11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOButton12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(vueBoutonsModification, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(popupType, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(cOButton10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOButton11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOButton12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(8, 8, 8)
                        .add(vueBoutonsModification, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 33, Short.MAX_VALUE)
                        .add(cOButton1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 31, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(listeAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 203, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(23, 23, 23))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
  
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public org.cocktail.component.COButton cOButton1;
    public org.cocktail.component.COButton cOButton10;
    public org.cocktail.component.COButton cOButton11;
    public org.cocktail.component.COButton cOButton12;
    public org.cocktail.component.COButton cOButton13;
    public org.cocktail.component.COButton cOButton14;
    public org.cocktail.component.COButton cOButton15;
    public org.cocktail.component.COButton cOButton16;
    public org.cocktail.component.COButton cOButton17;
    public org.cocktail.component.COButton cOButton18;
    public org.cocktail.component.COButton cOButton19;
    public org.cocktail.component.COButton cOButton2;
    public org.cocktail.component.COButton cOButton20;
    public org.cocktail.component.COButton cOButton3;
    public org.cocktail.component.COButton cOButton4;
    public org.cocktail.component.COButton cOButton5;
    public org.cocktail.component.COButton cOButton6;
    public org.cocktail.component.COButton cOButton7;
    public org.cocktail.component.COButton cOButton8;
    public org.cocktail.component.COButton cOButton9;
    public org.cocktail.component.COComboBox cOComboBox2;
    public org.cocktail.component.COComboBox cOComboBox3;
    public org.cocktail.component.COLabel cOLabel1;
    public org.cocktail.component.COTextField cOTextField10;
    public org.cocktail.component.COTextField cOTextField11;
    public org.cocktail.component.COTextField cOTextField12;
    public org.cocktail.component.COTextField cOTextField13;
    public org.cocktail.component.COTextField cOTextField14;
    public org.cocktail.component.COTextField cOTextField15;
    public org.cocktail.component.COTextField cOTextField16;
    public org.cocktail.component.COTextField cOTextField17;
    public org.cocktail.component.COTextField cOTextField18;
    public org.cocktail.component.COTextField cOTextField19;
    public org.cocktail.component.COTextField cOTextField2;
    public org.cocktail.component.COTextField cOTextField20;
    public org.cocktail.component.COTextField cOTextField21;
    public org.cocktail.component.COTextField cOTextField22;
    public org.cocktail.component.COTextField cOTextField23;
    public org.cocktail.component.COTextField cOTextField24;
    public org.cocktail.component.COTextField cOTextField25;
    public org.cocktail.component.COTextField cOTextField26;
    public org.cocktail.component.COTextField cOTextField3;
    public org.cocktail.component.COTextField cOTextField4;
    public org.cocktail.component.COTextField cOTextField5;
    public org.cocktail.component.COTextField cOTextField6;
    public org.cocktail.component.COTextField cOTextField7;
    public org.cocktail.component.COTextField cOTextField8;
    public org.cocktail.component.COTextField cOTextField9;
    private org.cocktail.component.COView cOView1;
    private org.cocktail.component.COView cOView2;
    private org.cocktail.component.COView cOView3;
    public org.cocktail.component.CODisplayGroup displayGroup;
    public org.cocktail.component.CODisplayGroup displayGroupCategories;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel21;
    private javax.swing.JLabel jLabel22;
    private javax.swing.JLabel jLabel23;
    private javax.swing.JLabel jLabel24;
    private javax.swing.JLabel jLabel25;
    private javax.swing.JLabel jLabel26;
    private javax.swing.JLabel jLabel27;
    private javax.swing.JLabel jLabel28;
    private javax.swing.JLabel jLabel29;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel30;
    private javax.swing.JLabel jLabel31;
    private javax.swing.JLabel jLabel32;
    private javax.swing.JLabel jLabel33;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    public org.cocktail.component.COTable listeAffichage;
    public org.cocktail.component.COComboBox popupType;
    public org.cocktail.component.COView vueBoutonsModification;
    public org.cocktail.component.COView vueBoutonsValidation;
    public org.cocktail.component.COTextArea vueTexte;
    // End of variables declaration//GEN-END:variables
                  

}
